#!/bin/csh
#
# compile and link an Oberon module
#
# SYNOPSIS
#   ocl moduleName [ofrontOption [ccOption]]
#
# use the single character "-" to skip ofrontOption
# example: ocl hello - -g

# translate .Mod to .c
ofront $1.Mod $2

# generate an export file
genexp $1 > $1.exp

# compile .c to .o
cc -c $3 $1.c 

# compile .o to lib*.o
cc $1.o -o lib$1.o -bM:SRE -bE:$1.exp -e _nostart libOberonV4.o

# remove unnecessary files and show result
rm $1.c $1.o $1.exp; ls -l lib$1.o

